com.holonplatform.core.property

## Interface VirtualProperty.VirtualPropertyBuilder<T>

- Type Parameters:
    `T` - Property value type
  All Superinterfaces:
    ConverterExpression<T>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Localizable.Builder<VirtualProperty.VirtualPropertyBuilder<T>>, Property<T>, Property.Builder<T,VirtualProperty<T>,VirtualProperty.VirtualPropertyBuilder<T>>, Serializable, TypedExpression<T>, Validator.Validatable<T>, VirtualProperty<T>, VirtualProperty.Builder<T,VirtualProperty<T>,VirtualProperty.VirtualPropertyBuilder<T>>
  Enclosing interface:
    VirtualProperty<T>

      public static interface VirtualProperty.VirtualPropertyBuilder<T>
      extends VirtualProperty.Builder<T,VirtualProperty<T>,VirtualProperty.VirtualPropertyBuilder<T>>

  Default `VirtualProperty` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.VirtualProperty

      `VirtualProperty.Builder<T,P extends VirtualProperty<T>,B extends VirtualProperty.Builder<T,P,B>>, VirtualProperty.VirtualPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty.Builder

      `name, valueProvider`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty

      `create, create, getValueProvider, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

Copyright © 2019 The Holon Platform. All rights reserved.